Skip to content
GET/{organizationId}/{mandateId}/booking/events/{eventId}/attendees/{attendeeId}

Get attendee

Returns a specific attendee for a specific event for a given mandate

Required permissions:

  • mandate.read

  • event.read

  • attendee.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
eventIdstringrequired
attendeeIdstringrequired

Authentication: X-API-Key

Request

GET/{organizationId}/{mandateId}/booking/events/{eventId}/attendees/{attendeeId}
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/booking/events/{eventId}/attendees/{attendeeId}' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

ObjectId as string

Additional properties are not allowed.

Additional properties are not allowed.

Additional properties are not allowed.

bookingNumberstringrequired

minLength: 10

maxLength: 10

statusstringrequired

Options:

waitlistedofferedpendingconfirmedcanceledcheckedIn

Additional properties are not allowed.

checkedInAtdate-time | nullrequired

Additional properties are not allowed.

createdAtdate-time | nulloptional
teamSizeintegeroptional

maximum: 9007199254740991

exclusiveMinimum: 0

anonymousbooleanoptional

Additional properties are not allowed.

Response

200
{
  "_id": "000000000000000000000001",
  "mandate": "000000000000000000000001",
  "participant": {
    "name": "string",
    "nameNormalized": "string",
    "nameSort": "string",
    "type": "person",
    "membershipNumber": "string",
    "contact": "000000000000000000000001"
  },
  "applicant": {
    "type": "business",
    "name": "string",
    "nameNormalized": "string",
    "nameSort": "string",
    "address": {
      "country": "string",
      "zip": "string",
      "city": "string",
      "addressLine": "string"
    },
    "email": "",
    "phone": "",
    "userId": "string",
    "contact": "000000000000000000000001"
  },
  "booking": {
    "booking": "000000000000000000000001",
    "recordNumber": "string",
    "paymentMethodPending": "unpaid",
    "receipts": [
      "000000000000000000000001"
    ],
    "rateId": "string",
    "rateName": "string",
    "ratePrice": {
      "taxCode": "string",
      "account": 1,
      "costCenter1": 1,
      "costCenter2": 1
    },
    "ratePaidPrice": 0,
    "usedPoints": 1,
    "issuedPunchCardNumber": "string",
    "punchCard": "000000000000000000000001",
    "services": [
      {
        "service": "000000000000000000000001",
        "serviceName": "string",
        "options": [
          {
            "optionId": "string",
            "optionName": "string",
            "optionPrice": {
              "taxCode": "string",
              "account": 1,
              "costCenter1": 1,
              "costCenter2": 1
            },
            "optionPaidPrice": 0
          }
        ]
      }
    ],
    "servicesPaidPrice": 0,
    "discountCode": "string",
    "formResult": {
      "schema": [
        {
          "id": "string",
          "label": "string",
          "fields": [
            {
              "id": "string",
              "type": "placeholder"
            }
          ]
        }
      ],
      "data": {}
    }
  },
  "bookingNumber": "string",
  "status": "waitlisted",
  "waitlist": {
    "listedAt": "2026-06-15T22:30:00Z",
    "listNumber": 1,
    "offerCreatedAt": "2026-06-15T22:30:00Z",
    "offerStatus": "manual",
    "offerValidTo": "2026-06-15T22:30:00Z"
  },
  "checkedInAt": "2026-06-15T22:30:00Z",
  "checkedInBy": {
    "name": "string",
    "type": "user",
    "userId": "string",
    "image": {
      "resource": "string"
    }
  },
  "cancelation": {
    "canceledAt": "2026-06-15T22:30:00Z",
    "reason": "string"
  }
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}